# Quest configuration

```yaml
# Name of the quest, this will show up in messages and can be used as an internal
# placeholder in multiple places
name: "Daily Example"
# Difficulty. Required.
difficulty: easy

# How should it be displayed in the Quest pool menu?
# Same item config as everywhere: https://docs.auroramc.gg/aurora/item-config
menu-item:
  material: paper
  name: "&f{name}"
  lore:
    - "&7This is an example quest."
    - "&7You can edit this file to create your own quests."
    - ""
    - "&7Tasks:"
    # These placeholders are created from the task keys
    - "  &f{task_mine_block}"
    - "  &f{task_kill_mob}"
    - ""
    - "&7Rewards:"
    # These placeholders will be created from the reward keys
    - "  {reward_money}"
    - "  {reward_cmsg}"
    - ""
    - "&7Difficulty: &f{difficulty}"

# These lines will be added to the item lore when a GLOBAL quest
# is locked but is set up to always show in the menu
locked-lore:
  - ""
  - "&cYou can't start this quest yet."

# These lines will be added to the item lore if the visible quest
# is already completed.
completed-lore:
  - ""
  - "&aYou have completed this quest."
  
# These lines will be added to the item lore if the visible quest
# isn't completed nor locked.
uncompleted-lore:
  - ""
  - "&aYou have completed this quest."

# Tasks/objectives that need to be done in order to complete the quest.
tasks:
  # Task 1
  mine_block: # This line is the ID of the task. It must be unique in this file
    # Task/objective type, case sensitive
    # In this task the player has to break 10 stone blocks.
    task: BLOCK_BREAK
    # How should the task look like?
    # {status} is either an ✖️ or ✔️ if you are using the default config.
    # {current} is the current progress/count and {required} is the required
    # progress/count to complete the task.
    display: "{status} &fMine {required} stone &b{current}&f/&b{required}"
    # Arguments for the task. Mostly, only amount/types exist, but some task
    # types may require more arguments.
    args:
      # How many stone should the player break?
      amount: 10
      # Types can be material, entity type or anything. It depends on the task type.
      types:
        # What should the player break?
        - "minecraft:stone"
    # You can define conditions for progression
    # You can delete this filters individually if you don't need them
    # or you can delete the whole filters section. 
    filters:
      # Restrict progression to specific worlds
      worlds:
        type: whitelist # blacklist also works
        value: [ "world" ]
      # Restrict progression to specific WorldGuard regions
      regions:
        type: blacklist
        value: [ "spawn" ]
      # Restrict progression to specific biomes
      biomes:
        type: whitelist
        value: [ "minecraft:plains", "minecraft:forest" ]
      # Restrict progression based on Y coordinates.
      min-ylevel: 0
      max-ylevel: 64
      # What should a player hold in his/her hands when doing the task? 
      hand:
        # Material or other plugin items.
        # Only one needs to match.
        items:
          - "minecraft:diamond_pickaxe"
          - "oraxen:mythril_pickaxe"
  # Task 2
  kill_mob:
    task: KILL_MOB
    display: "{status} &fKill {required} zombies &b{current}&f/&b{required}"
    # You can run actions when the task progresses (2.0+)
    # See AuroraLib/CommandDispatcher for whats supported here
    on-progress:
      - "[message] Wow you progressed {percent}% {progress}/{target}!"
      - "[actionbar] Wow you progressed {percent}% {progress}/{target}!"
    # You can run actions when the task completes (2.0+)
    # See AuroraLib/CommandDispatcher for whats supported here
    on-complete:
      - "[console] say {player} finished an objective!"
    args:
      amount: 10
      types:
        - "minecraft:zombie"

# Rewards to give when player completes the quest
rewards:
  money:
    type: money
    amount: 10000
    display: "&8+&a{value_formatted}$"
  cmsg:
    type: command
    command: "[console] say Hi %player_name%"
    display: "&8+&f1 Console message"

# Requirements to start a quest. Quest will be locked until the requirements are met.
start-requirements:
  # If true, quest will always show in the active quest menu, even if it is locked.
  # Locked lore will be added to the menu item.
  # Only works for global type quests.
  always-show-in-menu: true
  # Required quests to be completed before this quest can be started
  quests:
    - "pool_id:quest_name"
  # Required permissions to start the quest
  # This requires LuckPerms to work properly
  permissions:
    - "example.permission"
    
# Optional overrides for completion sound and message (2.0+)
quest-complete-message:
  enabled: true
  message:
    - "My cool"
    - "multiline message"
    
quest-complete-sound:
  enabled: true
  sound: "sound key"
  volume: 1
  pitch: 1
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.auroramc.gg/auroraquests/configuration/quest-configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
